# vim: set ft=spec: -*- rpm-spec -*-

%define xname x%name
%define artworkver 1.1
%define _customdocdir %_defaultdocdir/%name-%version

Name: gnokii
Version: 0.6.22
Release: alt1

Summary: Unix tool suite for Nokia mobile phones
Group: Communications
License: GPL
Url: http://www.gnokii.org/

Packager: Sir Raorn <raorn@altlinux.ru>

Source: %name-%version.tar
Patch: %name-%version-%release.patch

Requires: lib%name = %version-%release

# Automatically added by buildreq on Tue Jul 31 2007
BuildRequires: cvs flex libbluez-devel libgtk+2-devel libusb-devel libXpm-devel

%description
Gnokii is a Unix tool suite for Nokia mobile phones.

You should be in 'uucp' group to use it with serial cables.

%package -n %xname
Summary: Unix tool suite for Nokia mobile phones
Group: Communications
Requires: %name = %version-%release
Requires: gnokii-artwork

%description -n %xname
xgnokii is a graphical tool for Nokia mobile phones

%package -n lib%name
Summary: Library for gnokii
Group: System/Libraries

%description -n lib%name
You will need lib%name to run %name.

%package -n lib%name-devel
Summary: Development files for gnokii
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Install %name-devel if you want to develop or compile applications using
gnokii API.

%prep
%setup
%patch -p1

%build
# SMP-incompatible
%define __nprocs 1
%add_optflags %optflags_shared
export lt_cv_prog_cc_static_works=no

./autogen.sh
%configure \
	--disable-static \
	--disable-rpath \
	--with-x \
	--enable-nls \
	--enable-security \
	--enable-libusb \
	--enable-irda \
	--enable-bluetooth \
	--with-xgnokiidir=%_prefix
%make_build

%install
%make_install DESTDIR=%buildroot \
	docdir=%_defaultdocdir/%name-%version \
	xmandir=%_man1dir \
	install install-docs install-devel

%__mkdir_p %buildroot%_sysconfdir
%__sed 's,/usr/local/sbin,%_sbindir,g' \
	< Docs/sample/gnokiirc \
	> %buildroot%_sysconfdir/gnokiirc

%find_lang %name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post -n %xname
%update_menus

%postun -n %xname
%clean_menus

%files -f %name.lang
%dir %doc %_defaultdocdir/%name-%version
%doc %_defaultdocdir/%name-%version/*
%config(noreplace) %_sysconfdir/gnokiirc
%_bindir/%name
%_bindir/sendsms
%_sbindir/%{name}d
%_sbindir/mgnokiidev
%_man1dir/%name.1*
%_man1dir/sendsms.1*
%_man8dir/%{name}d.8*
%_man8dir/mgnokiidev.8*

%files -n %xname
%_bindir/%xname
%dir %_datadir/%xname
%_datadir/%xname/*
%_desktopdir/%xname.desktop
%_man1dir/%xname.1*

%files -n lib%name
%_libdir/lib%name.so.*

%files -n lib%name-devel
%dir %_includedir/%name
%_includedir/gnokii.h
%_includedir/%name/*
%_libdir/lib%name.so
%_pkgconfigdir/gnokii.pc

%changelog
* Sun Nov 25 2007 Sir Raorn <raorn@altlinux.ru> 0.6.22-alt1
- [0.6.22]

* Sun Oct 28 2007 Sir Raorn <raorn@altlinux.ru> 0.6.20-alt1
- [0.6.20]

* Mon Oct 08 2007 Sir Raorn <raorn@altlinux.ru> 0.6.19-alt1
- [0.6.19]

* Tue Jul 31 2007 Sir Raorn <raorn@altlinux.ru> 0.6.18-alt1
- [0.6.18]
 + todologo, ppm2nokia and waitcall removed by upstream
- gnokii-artwork packaged separately
- Cleaned up pkgconfig file
- Fixed ldif export (closes: #9994)

* Mon Sep 11 2006 Sir Raorn <raorn@altlinux.ru> 0.6.14-alt2
- Fixed --setdatetime argument parsing

* Tue Aug 29 2006 Sir Raorn <raorn@altlinux.ru> 0.6.14-alt1
- [0.6.14]
 + new utility - waitcall

* Thu Jul 13 2006 Sir Raorn <raorn@altlinux.ru> 0.6.13-alt1
- [0.6.13]
 + new libusb driver for DKU-2 cable (connection = dku2libusb)
 + SONAME changed for libgnokii
- Updated build requires
- Use %%update_menus in xgnokii

* Fri May 19 2006 Sir Raorn <raorn@altlinux.ru> 0.6.12-alt1
- [0.6.12]

* Tue Feb 28 2006 Sir Raorn <raorn@altlinux.ru> 0.6.11-alt1
- [0.6.11]
- spec **cleanup**
- Really enable bluetooth support
- Fix some 6310i problems (closes: #9161)

* Sun Dec 11 2005 Michael Shigorin <mike@altlinux.org> 0.6.10-alt1
- 0.6.10
- spec *cleanup*

* Mon May 02 2005 Denis Smirnov <mithraen@altlinux.ru> 0.6.5-alt1
- 0.6.5 (major feature enhancements)
- bluetooth support

* Fri Apr 16 2004 Michael Shigorin <mike@altlinux.ru> 0.6.1-alt1
- 0.6.1 (major feature enhancements)
- removed patch0

* Fri Jan 02 2004 Michael Shigorin <mike@altlinux.ru> 0.5.8-alt1
- 0.5.8 (minor bugfixes)
- fixed manpage installation
- seperated xgnokii

* Tue Nov 11 2003 Michael Shigorin <mike@altlinux.ru> 0.5.5-alt2
- %optflags_shared

* Wed Oct 08 2003 Michael Shigorin <mike@altlinux.ru> 0.5.5-alt1
- 0.5.5 (minor feature enhancements)

* Tue Sep 23 2003 Michael Shigorin <mike@altlinux.ru> 0.5.4-alt1
- 0.5.4 (major bugfixes)
- enabled security options (e.g. PIN change)
- spec cleanup

* Tue Jul 08 2003 Michael Shigorin <mike@altlinux.ru> 0.5.2-alt1
- built for ALT Linux
- adapted from ASPLinux contribs (incl. patch and .desktop)
- package libification
- lockdir patch
- spec cleanup

* Mon Jun 16 2003 Leonid Kanter <leon@asplinux.ru>
- 0.5.2

* Wed Jun 11 2003 Leonid Kanter <leon@asplinux.ru>
- 0.5.1
- add gnokii-devel package
- build with bluetooth support

* Wed Mar 05 2003 Leonid Kanter <leon@asplinux.ru>
- rewrote spec (fix permissions)
- create desktop file

* Fri Feb 07 2003 Hugo Monteiro <hmmm@fct.unl.pt>
- rebuilt for version 0.5.0pre5
- spec file cleanup

* Fri Sep 06 2002 Hugo Monteiro <hmmm@fct.unl.pt>
- rebuilt for version 0.4.3

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- update to 0.3.2
- fix non-standard-gid (Bug #15041)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat May 27 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0

* Wed Jan 05 2000 Ngo Than <than@redhat.de>
- initial RPM for powertools 6.2

